索引任务
获取后台任务列表
GET
/
knowledge-fs
/
spaces
/
{knowledge_base_id}
/
background-tasks
获取后台任务列表
curl --request GET \
--url https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"can_cancel": true,
"can_retry": false,
"completed_at": null,
"created_at": "2026-10-20T10:00:00Z",
"document_id": null,
"document_revision": null,
"document_title": null,
"error_code": null,
"error_message": null,
"failure": null,
"failures": null,
"id": "e1f2a3b4-c5d6-4e7f-8a9b-0c1d2e3f4a5b",
"knowledge_space_id": "9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b",
"operation": "source_sync",
"progress_completed": 12,
"progress_failed": 0,
"progress_percent": 27,
"progress_total": 45,
"semantic_enrichment": null,
"source_id": "6f1c2b0e-3d0b-4a5e-9f4c-1c0e6a7b8d90",
"source_title": "Docs site",
"state": "running",
"task_kind": "source",
"updated_at": "2026-10-20T10:02:40Z"
},
{
"can_cancel": true,
"can_retry": false,
"completed_at": null,
"created_at": "2026-10-20T09:30:00Z",
"document_id": null,
"document_revision": null,
"document_title": null,
"error_code": null,
"error_message": null,
"failure": null,
"failures": null,
"id": "c7d9e1f3-5a7b-4c9d-8e0f-1a2b3c4d5e6f",
"knowledge_space_id": "9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b",
"operation": "document_reindex",
"progress_completed": 1,
"progress_failed": 0,
"progress_percent": 50,
"progress_total": 2,
"semantic_enrichment": null,
"source_id": null,
"source_title": null,
"state": "running",
"task_kind": "document_bulk",
"updated_at": "2026-10-20T09:31:12Z"
},
{
"can_cancel": false,
"can_retry": false,
"completed_at": "2026-10-20T08:16:05Z",
"created_at": "2026-10-20T08:15:42Z",
"document_id": "2f6b8d1a-7c3e-4a5b-9d0e-1f2a3b4c5d6e",
"document_revision": 2,
"document_title": null,
"error_code": null,
"error_message": null,
"failure": null,
"failures": null,
"id": "c4e8a2f6-1b3d-4e5f-8a9b-0c1d2e3f4a5b",
"knowledge_space_id": "9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b",
"operation": "document_processing",
"progress_completed": 1,
"progress_failed": 0,
"progress_percent": 100,
"progress_total": 1,
"semantic_enrichment": {
"error_code": null,
"error_message": null,
"failure": null,
"nodes_completed": 18,
"nodes_total": 18,
"provider_calls": 12,
"provider_calls_maximum": 200,
"state": "ready",
"updated_at": "2026-10-20T08:17:30Z"
},
"source_id": null,
"source_title": null,
"state": "completed",
"task_kind": "document",
"updated_at": "2026-10-20T08:17:30Z"
}
],
"next_cursor": "eyJ2ZXJzaW9uIjoxLCJzb3VyY2UiOnsiY3JlYXRlZEF0IjoiMjAyNi0xMC0yMFQxMDowMDowMC4wMDBaIiwiaWQiOiJlMWYyYTNiNC1jNWQ2LTRlN2YtOGE5Yi0wYzFkMmUzZjRhNWIifSwiYnVsayI6eyJjcmVhdGVkQXQiOiIyMDI2LTEwLTIwVDA5OjMwOjAwLjAwMFoiLCJpZCI6ImM3ZDllMWYzLTVhN2ItNGM5ZC04ZTBmLTFhMmIzYzRkNWU2ZiJ9LCJkb2N1bWVudCI6eyJjcmVhdGVkQXQiOiIyMDI2LTEwLTIwVDA4OjE1OjQyLjAwMFoiLCJpZCI6ImM0ZThhMmY2LTFiM2QtNGU1Zi04YTliLTBjMWQyZTNmNGE1YiJ9fQ"
}Authorizations
Path Parameters
知识库 ID:即知识库 API 访问 对话框中所示服务 API 端点的最后一段(…/knowledge-fs/spaces/<knowledge base ID>),也是地址栏中 /datasets/new/ 之后的那一段。
Query Parameters
要查找的索引任务或批量任务 ID,以逗号分隔,最多 100 个。不能与 cursor 同时使用。
Maximum string length:
3699Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}(,[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}){0,99}$游标,取自上一页的 next_cursor。不能与 task_ids 同时传入。
Required string length:
1 - 8192每页任务数。传入 task_ids 时忽略。
Required range:
1 <= x <= 100Was this page helpful?
⌘I
获取后台任务列表
curl --request GET \
--url https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{api_base_url}/knowledge-fs/spaces/{knowledge_base_id}/background-tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"can_cancel": true,
"can_retry": false,
"completed_at": null,
"created_at": "2026-10-20T10:00:00Z",
"document_id": null,
"document_revision": null,
"document_title": null,
"error_code": null,
"error_message": null,
"failure": null,
"failures": null,
"id": "e1f2a3b4-c5d6-4e7f-8a9b-0c1d2e3f4a5b",
"knowledge_space_id": "9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b",
"operation": "source_sync",
"progress_completed": 12,
"progress_failed": 0,
"progress_percent": 27,
"progress_total": 45,
"semantic_enrichment": null,
"source_id": "6f1c2b0e-3d0b-4a5e-9f4c-1c0e6a7b8d90",
"source_title": "Docs site",
"state": "running",
"task_kind": "source",
"updated_at": "2026-10-20T10:02:40Z"
},
{
"can_cancel": true,
"can_retry": false,
"completed_at": null,
"created_at": "2026-10-20T09:30:00Z",
"document_id": null,
"document_revision": null,
"document_title": null,
"error_code": null,
"error_message": null,
"failure": null,
"failures": null,
"id": "c7d9e1f3-5a7b-4c9d-8e0f-1a2b3c4d5e6f",
"knowledge_space_id": "9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b",
"operation": "document_reindex",
"progress_completed": 1,
"progress_failed": 0,
"progress_percent": 50,
"progress_total": 2,
"semantic_enrichment": null,
"source_id": null,
"source_title": null,
"state": "running",
"task_kind": "document_bulk",
"updated_at": "2026-10-20T09:31:12Z"
},
{
"can_cancel": false,
"can_retry": false,
"completed_at": "2026-10-20T08:16:05Z",
"created_at": "2026-10-20T08:15:42Z",
"document_id": "2f6b8d1a-7c3e-4a5b-9d0e-1f2a3b4c5d6e",
"document_revision": 2,
"document_title": null,
"error_code": null,
"error_message": null,
"failure": null,
"failures": null,
"id": "c4e8a2f6-1b3d-4e5f-8a9b-0c1d2e3f4a5b",
"knowledge_space_id": "9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b",
"operation": "document_processing",
"progress_completed": 1,
"progress_failed": 0,
"progress_percent": 100,
"progress_total": 1,
"semantic_enrichment": {
"error_code": null,
"error_message": null,
"failure": null,
"nodes_completed": 18,
"nodes_total": 18,
"provider_calls": 12,
"provider_calls_maximum": 200,
"state": "ready",
"updated_at": "2026-10-20T08:17:30Z"
},
"source_id": null,
"source_title": null,
"state": "completed",
"task_kind": "document",
"updated_at": "2026-10-20T08:17:30Z"
}
],
"next_cursor": "eyJ2ZXJzaW9uIjoxLCJzb3VyY2UiOnsiY3JlYXRlZEF0IjoiMjAyNi0xMC0yMFQxMDowMDowMC4wMDBaIiwiaWQiOiJlMWYyYTNiNC1jNWQ2LTRlN2YtOGE5Yi0wYzFkMmUzZjRhNWIifSwiYnVsayI6eyJjcmVhdGVkQXQiOiIyMDI2LTEwLTIwVDA5OjMwOjAwLjAwMFoiLCJpZCI6ImM3ZDllMWYzLTVhN2ItNGM5ZC04ZTBmLTFhMmIzYzRkNWU2ZiJ9LCJkb2N1bWVudCI6eyJjcmVhdGVkQXQiOiIyMDI2LTEwLTIwVDA4OjE1OjQyLjAwMFoiLCJpZCI6ImM0ZThhMmY2LTFiM2QtNGU1Zi04YTliLTBjMWQyZTNmNGE1YiJ9fQ"
}